[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[RHSA-2016:1334-01] Critical: Red Hat JBoss Data Grid 6.6 security update



-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Critical: Red Hat JBoss Data Grid 6.6 security update
Advisory ID:       RHSA-2016:1334-01
Product:           Red Hat JBoss Data Grid
Advisory URL:      https://access.redhat.com/errata/RHSA-2016:1334
Issue date:        2016-06-23
CVE Names:         CVE-2016-2141 
=====================================================================

1. Summary:

A security update is now available for Red Hat JBoss Data Grid from the
Customer Portal.

Red Hat Product Security has rated this update as having a security impact
of Critical. A Common Vulnerability Scoring System (CVSS) base score, which
gives a detailed severity rating, is available for each vulnerability from
the CVE link(s) in the References section.

2. Description:

Red Hat JBoss Data Grid is a distributed in-memory data grid, based on
Infinispan.

This asynchronous patch is a security update for JGroups package in Red Hat
JBoss Data Grid 6.6. More information about this vulnerability is available
at: https://access.redhat.com/articles/2360521

Security Fix(es):

* It was found that JGroups did not require necessary headers for encrypt
and auth protocols from new nodes joining the cluster. An attacker could
use this flaw to bypass security restrictions, and use this vulnerability
to send and receive messages within the cluster, leading to information
disclosure, message spoofing, or further possible attacks. (CVE-2016-2141)

The CVE-2016-2141 issue was discovered by Dennis Reed (Red Hat).

3. Solution:

The References section of this erratum contains a download link (you must
log in to download the update). Before applying this update, back up your
existing JBoss Data Grid installation.

4. Bugs fixed (https://bugzilla.redhat.com/):

1313589 - CVE-2016-2141 Authorization bypass in JGroups

5. References:

https://access.redhat.com/security/cve/CVE-2016-2141
https://access.redhat.com/security/updates/classification/#critical
https://access.redhat.com/jbossnetwork/restricted/listSoftware.html?product=data.grid&downloadType=securityPatches&version=6.6.0
https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_Data_Grid/
https://access.redhat.com/articles/2360521

6. Contact:

The Red Hat security contact is <secalert redhat com>. More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2016 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iD8DBQFXbFEFXlSAg2UNWIIRAvtSAKC+wmT8kyDgKA6zLJ2f7+WiXUA6igCfWu+u
fmzOLR4gwPAsfoS9EH7K9yw=
=M2h1
-----END PGP SIGNATURE-----


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]